GH-SECRET(1)

NAME
gh-secret - Manage GitHub secrets

SYNOPSIS
gh secret <command> [flags]

DESCRIPTION
Secrets can be set at the repository, or organization level for use in GitHub Actions or Dependabot. User, organization, and repository secrets can be set for use in GitHub Codespaces. Environment secrets can be set for use in GitHub Actions. Run gh help secret set to learn how to get started.

AVAILABLE COMMANDS

gh-secret-delete(1)
    Delete secrets

gh-secret-list(1)
    List secrets

gh-secret-set(1)
    Create or update secrets

OPTIONS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh(1)